classification
Title: test__xxsubinterpreters failed on ARMv7 Ubuntu 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.snow Nosy List: eric.snow, vstinner
Priority: normal Keywords: patch

Created on 2018-05-31 21:51 by vstinner, last changed 2018-06-04 14:45 by eric.snow. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7330 merged eric.snow, 2018-06-01 22:06
Messages (9)
msg318345 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-31 21:51
Follow-up of bpo-33615.

ARMv7 Ubuntu 3.x:

http://buildbot.python.org/all/#/builders/106/builds/1118

Re-running test 'test__xxsubinterpreters' in verbose mode
test_bad_id (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_bad_kwargs (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_coerce_id (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_default_kwargs (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_does_not_exist (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_equality (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_repr (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_str (test.test__xxsubinterpreters.ChannelIDTests) ... FAIL
test_with_kwargs (test.test__xxsubinterpreters.ChannelIDTests) ... ok
test_by_unassociated_interp (test.test__xxsubinterpreters.ChannelReleaseTests) ... ERROR
test_close_if_unassociated (test.test__xxsubinterpreters.ChannelReleaseTests) ... ERROR
test_multiple_times (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_multiple_users (test.test__xxsubinterpreters.ChannelReleaseTests) ... ERROR
test_never_used (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_no_kwargs (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_partially (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_single_user (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_used_multiple_times_by_single_user (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_with_unused_items (test.test__xxsubinterpreters.ChannelReleaseTests) ... ok
test_close_both_with_unused_items_forced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_both_with_unused_items_unforced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_by_unassociated_interp (test.test__xxsubinterpreters.ChannelTests) ... ERROR
test_close_defaults_with_unused_items (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_empty (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_multiple_times (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_multiple_users (test.test__xxsubinterpreters.ChannelTests) ... ERROR
test_close_never_used (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_recv_with_unused_items_forced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_recv_with_unused_items_unforced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_send_with_unused_items_forced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_send_with_unused_items_unforced (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_single_user (test.test__xxsubinterpreters.ChannelTests) ... ok
test_close_used_multiple_times_by_single_user (test.test__xxsubinterpreters.ChannelTests) ... ok
test_create_cid (test.test__xxsubinterpreters.ChannelTests) ... ok
test_ids_global (test.test__xxsubinterpreters.ChannelTests) ... FAIL
test_recv_empty (test.test__xxsubinterpreters.ChannelTests) ... ok
test_recv_not_found (test.test__xxsubinterpreters.ChannelTests) ... ok
test_run_string_arg_resolved (test.test__xxsubinterpreters.ChannelTests) ... skipped 'bpo-33615: triggering crashes so temporarily disabled'
test_run_string_arg_unresolved (test.test__xxsubinterpreters.ChannelTests) ... ok
test_send_not_found (test.test__xxsubinterpreters.ChannelTests) ... ok
test_send_recv_different_interpreters (test.test__xxsubinterpreters.ChannelTests) ... ERROR
Exception in thread Thread-9:
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/threading.py", line 917, in _bootstrap_inner
    self.run()
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/threading.py", line 865, in run
    self._target(*self._args, **self._kwargs)
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1280, in f
    """))
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 42, in _run_output
    interpreters.run_string(interp, script, shared)
_xxsubinterpreters.RunFailedError: <class '_xxsubinterpreters.ChannelNotFoundError'>: channel 1103095676 not found

test_send_recv_different_interpreters_and_threads (test.test__xxsubinterpreters.ChannelTests) ... FAIL
test_send_recv_different_threads (test.test__xxsubinterpreters.ChannelTests) ... ok
test_send_recv_main (test.test__xxsubinterpreters.ChannelTests) ... ok
test_send_recv_same_interpreter (test.test__xxsubinterpreters.ChannelTests) ... ok
test_sequential_ids (test.test__xxsubinterpreters.ChannelTests) ... ok
test_after_destroy_all (test.test__xxsubinterpreters.CreateTests) ... ok
test_after_destroy_some (test.test__xxsubinterpreters.CreateTests) ... ok
test_in_main (test.test__xxsubinterpreters.CreateTests) ... ok
test_in_subinterpreter (test.test__xxsubinterpreters.CreateTests) ... FAIL
test_in_thread (test.test__xxsubinterpreters.CreateTests) ... ok
test_in_threaded_subinterpreter (test.test__xxsubinterpreters.CreateTests) ... FAIL
test_unique_id (test.test__xxsubinterpreters.CreateTests) ... skipped 'enable this test when working on pystate.c'
test_all (test.test__xxsubinterpreters.DestroyTests) ... ok
test_already_destroyed (test.test__xxsubinterpreters.DestroyTests) ... ok
test_bad_id (test.test__xxsubinterpreters.DestroyTests) ... ok
test_does_not_exist (test.test__xxsubinterpreters.DestroyTests) ... ok
test_from_current (test.test__xxsubinterpreters.DestroyTests) ... ok
test_from_other_thread (test.test__xxsubinterpreters.DestroyTests) ... ok
test_from_sibling (test.test__xxsubinterpreters.DestroyTests) ... ERROR
test_main (test.test__xxsubinterpreters.DestroyTests) ... ok
test_one (test.test__xxsubinterpreters.DestroyTests) ... ok
test_still_running (test.test__xxsubinterpreters.DestroyTests) ... ok
test_close (test.test__xxsubinterpreters.ExhaustiveChannelTests) ... skipped 'these tests take several hours to run'
test_force_close (test.test__xxsubinterpreters.ExhaustiveChannelTests) ... skipped 'these tests take several hours to run'
test_main (test.test__xxsubinterpreters.GetCurrentTests) ... ok
test_subinterpreter (test.test__xxsubinterpreters.GetCurrentTests) ... FAIL
test_from_main (test.test__xxsubinterpreters.GetMainTests) ... ok
test_from_subinterpreter (test.test__xxsubinterpreters.GetMainTests) ... FAIL
test_bad_id (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_coerce_id (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_does_not_exist (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_equality (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_repr (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_str (test.test__xxsubinterpreters.InterpreterIDTests) ... FAIL
test_with_int (test.test__xxsubinterpreters.InterpreterIDTests) ... ok
test_already_destroyed (test.test__xxsubinterpreters.IsRunningTests) ... ok
test_bad_id (test.test__xxsubinterpreters.IsRunningTests) ... ok
test_does_not_exist (test.test__xxsubinterpreters.IsRunningTests) ... ok
test_from_subinterpreter (test.test__xxsubinterpreters.IsRunningTests) ... ERROR
test_main (test.test__xxsubinterpreters.IsRunningTests) ... ok
test_subinterpreter (test.test__xxsubinterpreters.IsRunningTests) ... ok
test_default_shareables (test.test__xxsubinterpreters.IsShareableTests) ... ok
test_not_shareable (test.test__xxsubinterpreters.IsShareableTests) ... ok
test_after_creating (test.test__xxsubinterpreters.ListAllTests) ... ok
test_after_destroying (test.test__xxsubinterpreters.ListAllTests) ... ok
test_initial (test.test__xxsubinterpreters.ListAllTests) ... ok
test_SystemExit (test.test__xxsubinterpreters.RunStringTests) ... ok
test_already_running (test.test__xxsubinterpreters.RunStringTests) ... ok
test_bad_id (test.test__xxsubinterpreters.RunStringTests) ... ok
test_bad_script (test.test__xxsubinterpreters.RunStringTests) ... ok
test_bytes_for_script (test.test__xxsubinterpreters.RunStringTests) ... ok
test_create_thread (test.test__xxsubinterpreters.RunStringTests) ... ok
test_does_not_exist (test.test__xxsubinterpreters.RunStringTests) ... ok
test_error_id (test.test__xxsubinterpreters.RunStringTests) ... ok
test_execution_namespace_is_main (test.test__xxsubinterpreters.RunStringTests) ... ok
test_failure (test.test__xxsubinterpreters.RunStringTests) ... ok
test_fork (test.test__xxsubinterpreters.RunStringTests) ... ok
test_in_thread (test.test__xxsubinterpreters.RunStringTests) ... ok
test_invalid_syntax (test.test__xxsubinterpreters.RunStringTests) ... ok
test_main_reused (test.test__xxsubinterpreters.RunStringTests) ... ok
test_shared_overwrites (test.test__xxsubinterpreters.RunStringTests) ... ok
test_shared_overwrites_default_vars (test.test__xxsubinterpreters.RunStringTests) ... ok
test_still_running_at_exit (test.test__xxsubinterpreters.RunStringTests) ... skipped 'blocking forever'
test_success (test.test__xxsubinterpreters.RunStringTests) ... ok
test_sys_exit (test.test__xxsubinterpreters.RunStringTests) ... ok
test_with_shared (test.test__xxsubinterpreters.RunStringTests) ... ok
test_bytes (test.test__xxsubinterpreters.ShareableTypeTests) ... ok
test_int (test.test__xxsubinterpreters.ShareableTypeTests) ... ok
test_singletons (test.test__xxsubinterpreters.ShareableTypeTests) ... ok
test_types (test.test__xxsubinterpreters.ShareableTypeTests) ... ok

======================================================================
ERROR: test_by_unassociated_interp (test.test__xxsubinterpreters.ChannelReleaseTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1640, in test_by_unassociated_interp
    """))
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_close_if_unassociated (test.test__xxsubinterpreters.ChannelReleaseTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1656, in test_close_if_unassociated
    """))
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_multiple_users (test.test__xxsubinterpreters.ChannelReleaseTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1582, in test_multiple_users
    """))
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_close_by_unassociated_interp (test.test__xxsubinterpreters.ChannelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1501, in test_close_by_unassociated_interp
    """))
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_close_multiple_users (test.test__xxsubinterpreters.ChannelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1358, in test_close_multiple_users
    """))
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_send_recv_different_interpreters (test.test__xxsubinterpreters.ChannelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1237, in test_send_recv_different_interpreters
    """))
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 42, in _run_output
    interpreters.run_string(interp, script, shared)
_xxsubinterpreters.RunFailedError: <class 'ValueError'>: 'id' must be a non-negative int

======================================================================
ERROR: test_from_sibling (test.test__xxsubinterpreters.DestroyTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 734, in test_from_sibling
    interpreters.run_string(id1, script)
_xxsubinterpreters.RunFailedError: <class 'RuntimeError'>: unrecognized interpreter ID -1098177076

======================================================================
ERROR: test_from_subinterpreter (test.test__xxsubinterpreters.IsRunningTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 490, in test_from_subinterpreter
    """))
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 42, in _run_output
    interpreters.run_string(interp, script, shared)
_xxsubinterpreters.RunFailedError: <class 'RuntimeError'>: unrecognized interpreter ID -1098177076

======================================================================
FAIL: test_str (test.test__xxsubinterpreters.ChannelIDTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1142, in test_str
    self.assertEqual(str(cid), '10')
AssertionError: '0' != '10'
- 0
+ 10
? +


======================================================================
FAIL: test_ids_global (test.test__xxsubinterpreters.ChannelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1206, in test_ids_global
    self.assertEqual(cid2, int(cid1) + 1)
AssertionError: 1113969968 != 1112900745

======================================================================
FAIL: test_send_recv_different_interpreters_and_threads (test.test__xxsubinterpreters.ChannelTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 1288, in test_send_recv_different_interpreters_and_threads
    self.assertEqual(obj, b'eggs')
AssertionError: b'spam' != b'eggs'

======================================================================
FAIL: test_in_subinterpreter (test.test__xxsubinterpreters.CreateTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 613, in test_in_subinterpreter
    self.assertEqual(set(interpreters.list_all()), {main, id1, id2})
AssertionError: Items in the first set but not the second:
InterpreterID(24)
Items in the second set but not the first:
1113009960

======================================================================
FAIL: test_in_threaded_subinterpreter (test.test__xxsubinterpreters.CreateTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 632, in test_in_threaded_subinterpreter
    self.assertEqual(set(interpreters.list_all()), {main, id1, id2})
AssertionError: Items in the first set but not the second:
InterpreterID(27)
Items in the second set but not the first:
1113006640

======================================================================
FAIL: test_subinterpreter (test.test__xxsubinterpreters.GetCurrentTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 443, in test_subinterpreter
    self.assertEqual(cur, expected)
AssertionError: 1113007880 != InterpreterID(40)

======================================================================
FAIL: test_from_subinterpreter (test.test__xxsubinterpreters.GetMainTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 465, in test_from_subinterpreter
    self.assertEqual(main, expected)
AssertionError: 1113006680 != InterpreterID(0)

======================================================================
FAIL: test_str (test.test__xxsubinterpreters.InterpreterIDTests)
test test__xxsubinterpreters failed
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/ssd/buildbot/buildarea/3.x.gps-ubuntu-exynos5-armv7l/build/Lib/test/test__xxsubinterpreters.py", line 548, in test_str
    self.assertEqual(str(id), '10')
AssertionError: '0' != '10'
- 0
+ 10
? +


----------------------------------------------------------------------
Ran 111 tests in 4.863s

FAILED (failures=8, errors=8, skipped=5)
1 test failed again:
    test__xxsubinterpreters
msg318348 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-05-31 22:41
Thanks, Victor.  I'll take a look.  FYI, it seems that the same 3 buildbots from bpo-33615 are seeing these same test failures.
msg318443 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-01 17:46
Okay, apparently this is only happening on 2 of the buildbots from bpo-33615:

ARMv7 Ubuntu 3.x
PPC64 AIX 3.x

Judging by the failures I'm guessing that it's something related to handling of int64_t.  I'm looking into it.
msg318467 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-01 21:53
I'm pretty sure at this point that the failures are due to using a %d format string for int64_t instead of %lld.  I'll have a PR up shortly.
msg318469 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-01 22:26
New changeset 6854e803b73ac4d02ba160d514b8a53dd7a62905 by Eric Snow in branch 'master':
bpo-33724: Use the right format code for int64_t in subinterpreters code. (gh-7330)
https://github.com/python/cpython/commit/6854e803b73ac4d02ba160d514b8a53dd7a62905
msg318472 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-01 23:11
The fix took care of the failures.
msg318494 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-02 10:43
You may use PRId64 instead of %lld.
msg318498 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-02 10:55
The bug is not fixed yet. The test crashed again on x86 Gentoo Refleaks 3.x:

http://buildbot.python.org/all/#/builders/1/builds/242
commit 8425de4147eb8d83befbb8ea77516fc764bb4309

test_ids_global (test.test__xxsubinterpreters.ChannelTests) ... ok
test_recv_empty (test.test__xxsubinterpreters.ChannelTests) ... ok
test_recv_not_found (test.test__xxsubinterpreters.ChannelTests) ... ok
test_run_string_arg_resolved (test.test__xxsubinterpreters.ChannelTests) ... python: Modules/gcmodule.c:277: visit_decref: Assertion `_PyGCHead_REFS(gc) != 0' failed.
Fatal Python error: Aborted
Current thread 0xb7497700 (most recent call first):
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/case.py", line 615 in run
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/case.py", line 663 in __call__
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 122 in run
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 84 in __call__
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 122 in run
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 84 in __call__
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 122 in run
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/suite.py", line 84 in __call__
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/unittest/runner.py", line 176 in run
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/support/__init__.py", line 1883 in _run_suite
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/support/__init__.py", line 1973 in run_unittest
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/runtest.py", line 175 in test_runner
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/runtest.py", line 176 in runtest_inner
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/runtest.py", line 140 in runtest
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/main.py", line 283 in rerun_failed_tests
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/main.py", line 548 in _main
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/main.py", line 518 in main
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/libregrtest/main.py", line 562 in main
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/test/__main__.py", line 2 in <module>
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/runpy.py", line 85 in _run_code
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.refleak/build/Lib/runpy.py", line 193 in _run_module_as_main
make: *** [Makefile:1097: buildbottest] Aborted
program finished with exit code 2
msg318654 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-04 14:45
Sorry for any confusion.  This issue is still resolved.  It is bpo-33615 that had an unexpected recurrence.  I've re-opened that one.
History
Date User Action Args
2018-06-04 14:45:30eric.snowsetstatus: open -> closed
resolution: fixed
messages: + msg318654
2018-06-02 10:55:18vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg318498
2018-06-02 10:43:00vstinnersetmessages: + msg318494
2018-06-01 23:11:34eric.snowsetstatus: open -> closed
resolution: fixed
messages: + msg318472

stage: patch review -> resolved
2018-06-01 22:26:04eric.snowsetmessages: + msg318469
2018-06-01 22:06:57eric.snowsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6959
2018-06-01 21:53:12eric.snowsetmessages: + msg318467
2018-06-01 17:46:38eric.snowsetassignee: eric.snow
messages: + msg318443
2018-05-31 22:41:13eric.snowsetmessages: + msg318348
2018-05-31 21:51:41vstinnercreate